Package org.apache.calcite.avatica.remote

# Class DoAsAvaticaHttpClient

java.lang.Object
org.apache.calcite.avatica.remote.DoAsAvaticaHttpClient

All Implemented Interfaces:
  `AvaticaHttpClient`

public class DoAsAvaticaHttpClient extends Object implements AvaticaHttpClient
HTTP client implementation which invokes the wrapped HTTP client in a doAs with the provided Subject.

## Constructor Summary

Constructors
Constructor
Description
`DoAsAvaticaHttpClient(AvaticaHttpClient wrapped, KerberosConnection kerberosUtil)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`send(byte[] request)`
Sends a serialized request to the Avatica server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DoAsAvaticaHttpClient

public DoAsAvaticaHttpClient(AvaticaHttpClient wrapped, KerberosConnection kerberosUtil)

## Method Details

### send

public byte[] send(byte[] request)
Description copied from interface: `AvaticaHttpClient`
Sends a serialized request to the Avatica server.

Specified by:
  `send` in interface `AvaticaHttpClient`
Parameters:
  `request` - The serialized request.
Returns:
  The serialized response.